
QGIS Application - Bug report #7190

Cell values in attribute table aren't refreshed after column delete rollback (regression in master)

2013-02-20 05:26 AM - Borys Jurgiel

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16236

Description

When removing columns in attribute table, all following columns move left and it works ok. Then, if I rollback the changes, the restored

columns should be inserted back.

It works for the header as well as data rows above and below the current view.

However, data rows within the current view aren't refreshed. The values previously moved left stay left, and following columns are filled

with null.

Closing and reopening the attribute table is the only way to refresh the displayed values.

See also #7169.

Related issues:

Related to QGIS Application - Bug report # 7169: qgis master messes up table ... Closed 2013-02-16

Associated revisions

Revision da60fe1c - 2013-02-22 02:31 AM - Jürgen Fischer

block vector layer signals when updating attribute values from field calculator (fixes #7190)

History

#1 - 2013-02-20 05:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Borys, is this a regression? cheers!

#2 - 2013-02-20 05:46 AM - Borys Jurgiel

- Priority changed from Normal to Severe/Regression

- Subject changed from Cell values in attribute table aren't refreshed after column delete rollback (in master) to Cell values in attribute table aren't 

refreshed after column delete rollback (regression in master)

Yes, it's a regression ( thanks, I was just searching for this ticket to add the regression status :) )

#3 - 2013-02-21 05:32 PM - Jürgen Fischer

- Status changed from Feedback to Closed

2025-04-27 1/2



#4 - 2013-02-21 05:41 PM - Jürgen Fischer

- Status changed from Closed to Reopened

#5 - 2013-03-20 04:27 AM - Regis Haubourg

confirmed still in commit:32de07d

#6 - 2013-03-27 05:34 AM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Reopened to Closed

Fixed in the new dual-view attribute table
